Skip to main content
POST
/
notifications
/
policies
/
{id}
/
recipients
Add recipients to a policy
curl --request POST \
  --url https://eu.sequencehq.com/api/notifications/policies/{id}/recipients \
  --header 'Authorization: <authorization>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "recipients": [
    "operations@example.com"
  ]
}
'
import requests

url = "https://eu.sequencehq.com/api/notifications/policies/{id}/recipients"

payload = { "recipients": ["operations@example.com"] }
headers = {
    "Authorization": "<authorization>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
  body: JSON.stringify({recipients: ['operations@example.com']})
};

fetch('https://eu.sequencehq.com/api/notifications/policies/{id}/recipients', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": "9c4c54e7-59da-44ae-9cc5-7fd81be7c133",
  "createdAt": "2022-06-28T16:47:00Z",
  "sequenceAccountId": "c4602d51-0fb4-4b48-b689-6ba28f540d1e",
  "name": "Finance team emails",
  "notificationTypes": [
    "CUSTOMER_CREATED"
  ],
  "recipients": [
    "finance@example.com",
    "operations@example.com"
  ],
  "channel": "EMAIL"
}
{
  "errors": []
}
This response has no body data.
This response has no body data.
This response has no body data.

Headers

Authorization
string
required

Your API credentials. Eg. Basic {credentials}.

Sequence-Version
enum<string>

Use this header to select an API version

Available options:
2024-07-30

Path Parameters

id
string
required

Notification policy ID

Body

application/json
recipients
string[]
required

The webhook URLs or email addresses to add to the policy, depending on its channel

Example:
["operations@example.com"]

Response

OK

id
string
required

Unique ID

Example:

"75da306e-8e25-47ac-8079-b695c369e2ef"

createdAt
string
required

Created at

Example:

"2022-06-28T16:47:00Z"

sequenceAccountId
string
required

Sequence Account which this policy matches

Example:

"c4602d51-0fb4-4b48-b689-6ba28f540d1e"

name
string
required

Human-readable name

Example:

"Dev team integration webhooks"

recipients
string[]
required

The webhook URLs or email addresses which will receive notifications, depending on the channel

Example:
["https://api.company.com/webhooks"]
channel
enum<string>
required

Notification channel

Available options:
WEBHOOK,
EMAIL
Example:

"WEBHOOK"

notificationTypes
enum<string>[]

Set of notification types that this policy matches. If not present this policy will cover all notification types.

Available options:
CUSTOMER_CREATED,
CUSTOMER_UPDATED,
CUSTOMER_ARCHIVED,
INVOICE_CREATED,
INVOICE_ISSUED,
INVOICE_UPDATED,
INTEGRATION_SYNC_COMPLETED,
INTEGRATION_WEBHOOK_HANDLED,
MERCHANT_UPDATED,
BILLING_SCHEDULE_CREATED,
BILLING_SCHEDULE_UPDATED,
BILLING_SCHEDULE_ARCHIVED,
CREDIT_NOTE_CREATED,
CREDIT_NOTE_UPDATED,
CREDIT_NOTE_ISSUED,
QUOTE_PUBLISHED,
QUOTE_ACCEPTED,
QUOTE_SIGNED,
INVOICE_REMINDER_SENT,
WATCHTOWER_TASK_ASSIGNED
Example:
["CUSTOMER_CREATED"]
webhookSecret
string

Webhook secret used to generate a signature header that's sent with an outbound webhook.It can be used to verify the authenticity of received Sequence webhooks. Only available for webhook channel policies.

Example:

"whsec_AutoGeneratedSecret01234567890ab"